---
title: "Associates the user to the given group roles"
slug: "associates-the-user-to-the-given-group-roles"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/associates-the-user-to-the-given-group-roles"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Associates the user to the given group roles
Post/api/v1/users/{userId}/grouproles
SecurityHTTPType bearer
Path parametersuserIdstringRequired
The ID of the user
Body parameters
The IDs of the group roles to associate with the user
object groupRoleObjectGUIDs Array of string string
Responses200
OK
Expand Allobject authorizationboolean
dataobject groupRoles Array of object object fStatestring
groupRoleNamestring
groupRoleObjectGUIDstring
messagestring
opStatusstring Valid values[
"success",
"failure",
"pending"
]
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
403
Forbidden - Group disassociation in pending state
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
404
Not Found
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
500
Internal Server Error
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean